#pragma once

#include <saas/library/daemon_base/module/module.h>
#include <saas/rtyserver/config/config.h>

class TRTYErfIndexComponentConfig final: public TPluginConfig<TRTYServerConfig::IComponentConfig> {
public:
    bool IsUsed = true;

protected:
    virtual bool DoCheck() const override;
    virtual void DoInit(const TYandexConfig::Section& section) override;
    virtual void DoToString(IOutputStream& so) const override;
};
